petsc-3.4.2 2013-07-02

# DMMeshGetMesh

Gets the internal mesh object

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetMesh(DM dm, ALE::Obj<PETSC_MESH_TYPE>& m)

Not collective

### Input Parameter

mesh -the mesh object

### Output Parameter

m -the internal mesh object

### See Also

DMMeshCreate(), DMMeshSetMesh()

Level:advanced
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html